Update Event Instance with PUT
Update an Event Instance. Rate limit: 20 requests per minute per API key. This PUT route has the same partial-update behavior and response as PATCH.
Authorization
apiKey Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
API version
"2026-02""2026-02"Tenant slug
Event Instance ID
Query Parameters
Field selection object. Example query: select[slug]=true&select[updatedAt]=true
Relationship population object. Example query: populate[media][url]=true
Relationship population depth.
0 <= valueContent locale, or all to return every locale.
Locale to use when the requested locale has no value.
When true, read or write the draft version.
falseControls pagination, sorting, filtering, and counts for joined fields.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://api.basker.app/partners/2026-02/string/event-instances/string?select%5Bslug%5D=true&select%5BupdatedAt%5D=true&populate%5Bmedia%5D=%5Bobject+Object%5D" \ -H "Content-Type: application/json" \ -d '{}'{
"event": "string",
"startDate": "2019-08-24T14:15:22Z",
"startDate_tz": "Pacific/Midway",
"startDateLocalAsUTC": "string",
"ticketingSystemId": "string",
"participants": [
{}
],
"attributes": [
{}
],
"tessitura": {
"performanceId": "string",
"productionSeasonId": "string",
"keywords": {},
"availability": "string",
"availSaleIndicator": "string",
"publishWebApiStartDate": "2019-08-24T14:15:22Z",
"publishWebApiEndDate": "2019-08-24T14:15:22Z",
"customAttributeSyncOverride": {}
},
"elevent": {
"showTimeId": "string",
"eventId": "string",
"eventUrlName": "string",
"customAttributeSyncOverride": {}
},
"spektrix": {
"instanceId": "string",
"eventId": "string",
"customAttributeSyncOverride": {}
},
"booking": {
"bookingLinkLabel": "string",
"bookingLinkURL": "string"
},
"venue": "string",
"series": [
"string"
]
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please retry later."
}